Update a Campaign Item

Submit a JSON object in a PUT or POST request body.
Fields that are omitted or null will not be updated.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

Update a single campaign item. Submit a JSON object in a PUT or POST request body. Fields that are omitted or null will not be updated.

🚧

Unified endpoint

This endpoint supports both regular items and motion ads. The system automatically handles each type appropriately.

📘

Guidelines

  1. When updating a resource, you can use either PUT or POST.
  2. You can submit only the fields of interest. Fields that are omitted or null, will remain unchanged.
  3. While status is CRAWLING, the Item is in a read-only state - no fields can be modified.
  4. The endpoint automatically detects the item type (static or motion) based on the existing item and the fields provided in the update request.

Static items

Example - Update a regular item:

POST /backstage/api/1.0/demo-advertiser/campaigns/1234/items/123
{
   "title": "Updated Title",
   "thumbnail_url": "http://cdn.example.com/updated_demo_image.jpg"
}
{
   "id": "123",
   "campaign_id": "1234",
   "type": "ITEM",
   "url": "https://www.example.com/article",
   "thumbnail_url": "http://cdn.example.com/updated_demo_image.jpg",
   "title": "Updated Title",
   "description": null,
   "approval_state": "APPROVED",
   "is_active": true,
   "status": "RUNNING",
   "policy_review": {
      "reject_reason": null,
      "status_reason": null
   },
   "cta": null,
   "creative_focus": {
      "type": "AUTOMATIC",
      "coordinates": null
   }
}
📘

Supported fields (for static items)

  1. title
  2. url
  3. thumbnail_url
  4. description
  5. is_active
  6. cta
  7. verification_pixel
  8. viewability_tag
  9. creative_focus

    This field has been deprecated.

Motion ads

Example - Update a motion ad:

PUT /backstage/api/1.0/demo-advertiser/campaigns/1234/items/456
{
   "title": "Updated video ad title",
   "performance_video_data": {
      "video_url": "https://example.com/updated-video.mp4",
      "fallback_url": "https://example.com/updated-fallback.jpg"
   }
}
{
   "id": "456",
   "campaign_id": "1234",
   "type": "ITEM",
   "url": "https://example.com",
   "title": "Updated video ad title",
   "description": null,
   "approval_state": "APPROVED",
   "is_active": true,
   "status": "RUNNING",
   "policy_review": {
      "reject_reason": null,
      "status_reason": null
   },
   "cta": null,
   "creative_focus": {
      "type": "AUTOMATIC",
      "coordinates": null
   },
   "creative_type": "PERFORMANCE_VIDEO",
   "performance_video_data": {
      "video_url": "http://c3.taboola.com/libtrc/static/video/t_PERFORMANCE_VIDEO_DEFAULT/v1602508826/ax3qanrabayqre4lw3gg.mp4!-#@800x448",
      "fallback_url": "http://cdn.taboola.com/libtrc/static/thumbnails/1cc96d86c676d195c1d3cb426ddc9745.png",
      "gif_url": "http://c3.taboola.com/libtrc/static/gif/t_PERFORMANCE_VIDEO_DEFAULT/e_loop/so_0/f_gif/v1602508826/ax3qanrabayqre4lw3gg.gif"
   }
}
📘

Supported fields (for motion ads)

  1. title
  2. url
  3. description
  4. is_active
  5. performance_video_data - Object containing:
    • video_url - URL to the video file (MP4 format)
    • fallback_url - URL to the fallback image (JPG/PNG format)
🚧

Video requirements

  • Video files must be in MP4 format
  • Fallback images must be in JPG or PNG format
  • Both video and fallback image URLs must be publicly accessible

Pausing a campaign item

To pause (or unpause) an Item, update the Item, and set is_active to false (or true).

See: Pausing/unpausing Campaign Items

Scheduling a campaign item

To set or update when an item runs, include start_date, end_date, and activity_schedule in the request.

See: Item scheduling

Updating aspect ratio images

To set or update aspect ratio images, include creative_crop in the request.

See: Multi-image and vertical ads

Path Params
string
required

An alphabetic ID. See Get Account Details.

string
required

A numeric ID.

string
required

A numeric ID.

Body Params
json
required
Defaults to { "title": "Updated Title" }

A JSON object representing the fields to be updated.
You can submit only the fields of interest.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Choose an example:
application/json